package com.bcxin.ins.weixin.order.service;


import com.bcxin.ins.core.entity.PageResult;
import com.bcxin.ins.core.entity.R;
import com.bcxin.ins.vo.LOTEPolicyVo;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

public interface WeiXinOrderService  {
    PageResult query(Map<Object, Object> p);

    /** 投保人信息保存 */
    R applicant(Map<Object, Object> p, HttpServletRequest req);
    /** 获取电子保单 */
    Map<Object,Object> queryDZBDBySlipID(Map<Object, Object> p);
    /** 被保险人信息保存 */
    R saveInsurant(Map<Object, Object> p, HttpServletRequest req);
    /** 扩展字段信息保存 */
    R saveSpecial(Map<Object, Object> p, HttpServletRequest req);
    /** 发票 纸质保单*/
    R insMailPolicy(Map<Object, Object> p, HttpServletRequest req);

    Map<Object,Object> queryDetailVoBySlipID(Map<Object, Object> p, HttpServletRequest req);

    public R pendingLOTEPolicyVoPolicy(LOTEPolicyVo vo, String recommendCode);

    public LOTEPolicyVo accordingToOrderIDToGetLOTEPolicyVo(Long order_id);
}
